<?php

namespace Drupal\sessionless\KeyStorage;

use Jose\Component\Core\JWK;

/**
 * Key Storage
 *
 * @internal
 */
interface KeyStorageInterface {

  public function getSignatureKey(): JWK;

  public function getEncryptionKey(): JWK;

  public function dropKeys(): void;

  public function getKeyVersion(): int;

}
