<?php

declare(strict_types=1);
namespace Drupal\Tests\sessionless\Traits;

use Drupal\sessionless\KeyStorage\KeyStorageInterface;
use Drupal\sessionless\WebTokenAlgorithms\WebTokenAlgorithmsInterface;
use Drupal\sessionless\WebTokenService\WebTokenServiceInterface;

final class SessionlessServices {

  public function __construct(
    public readonly WebTokenServiceInterface $webTokenService,
    public readonly WebTokenAlgorithmsInterface $webTokenAlgorithms,
    public readonly KeyStorageInterface $keyStorage,
  ) {}

}
