<?php

namespace Drupal\sessionless\Element;

use Drupal\Core\Render\Element\FormElement;

/**
 * Signed encrypted data.
 *
 * Put data into $element['#value'] (like hidden element).
 *
 * @FormElement("sessionless_signed_encrypted")
 */
class SignedEncryptedData extends FormElement {

  use SessionlessElementTrait;

  protected static function mustEncrypt(): bool {
    return TRUE;
  }

}
