<?php

declare(strict_types=1);
namespace Drupal\Tests\sessionless\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * @group sessionless
 */
final class SessionlessElementTest extends BrowserTestBase {

  protected $defaultTheme = 'stark';

  protected static $modules = [
    'sessionless_test',
  ];

  public function testSessionlessElement(): void {
    $this->drupalGet('sessionless_test_form');
    $this->submitForm([], 'Submit');
    $this->assertSession()->pageTextContainsOnce('ProtectedValue:AliceInWonderland');
  }

}
